<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddValueToEnumTypeFieldInAddresses extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('addresses', function (Blueprint $table) {
            DB::statement("ALTER TABLE addresses MODIFY COLUMN type ENUM('main', 'visiting', 'invoice', 'postal', 'other')");
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('addresses', function (Blueprint $table) {
            DB::statement("ALTER TABLE addresses MODIFY COLUMN type ENUM('main', 'visiting', 'invoice', 'other')");
        });
    }
}
